#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_StarLotteryBaseCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_StarLotteryBaseCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryBaseCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryBaseCFGData* GetData(std::string Key);
	boost::unordered_map<std::string, M_StarLotteryBaseCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_StarLotteryBaseCFG* GetSingleton();
private:
	boost::unordered_map<std::string, M_StarLotteryBaseCFGData> mMapData;
};
